# Serialized Form

Package org.apache.commons.collections

Class org.apache.commons.collections.ArrayStack extends java.util.ArrayList implements Serializable

serialVersionUID: 2130079159931574599L

Class org.apache.commons.collections.BufferOverflowException extends java.lang.RuntimeException implements Serializable

Serialized Fields

### throwable

    java.lang.Throwable throwable

  The root cause throwable

Class org.apache.commons.collections.BufferUnderflowException extends java.util.NoSuchElementException implements Serializable

Serialized Fields

### throwable

    java.lang.Throwable throwable

  The root cause throwable

Class org.apache.commons.collections.CursorableLinkedList extends java.lang.Object implements Serializable

serialVersionUID: 8836393098519411393L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Deprecated.
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.ExtendedProperties extends java.util.Hashtable implements Serializable

Serialized Fields

### defaults

    ExtendedProperties defaults

  Default configurations repository.

### file

    java.lang.String file

  The file connected to this repository (holding comments and such).

### basePath

    java.lang.String basePath

  Base path of the configuration file used to create this ExtendedProperties object.

### fileSeparator

    java.lang.String fileSeparator

  File separator.

### isInitialized

    boolean isInitialized

  Has this configuration been intialized.

### keysAsListed

    java.util.ArrayList keysAsListed

  These are the keys in the order they listed in the configuration file. This is useful when you wish to perform operations with configuration information in a particular order.

Class org.apache.commons.collections.FastArrayList extends java.util.ArrayList implements Serializable

Serialized Fields

### list

    java.util.ArrayList list

  The underlying list we are managing.

### fast

    boolean fast

  Are we operating in "fast" mode?

Class org.apache.commons.collections.FastHashMap extends java.util.HashMap implements Serializable

Serialized Fields

### map

    java.util.HashMap map

  The underlying map we are managing.

### fast

    boolean fast

  Are we currently operating in "fast" mode?

Class org.apache.commons.collections.FastTreeMap extends java.util.TreeMap implements Serializable

Serialized Fields

### map

    java.util.TreeMap map

  The underlying map we are managing.

### fast

    boolean fast

  Are we operating in "fast" mode?

Class org.apache.commons.collections.FunctorException extends java.lang.RuntimeException implements Serializable

Serialized Fields

### rootCause

    java.lang.Throwable rootCause

  Root cause of the exception

Class org.apache.commons.collections.LRUMap extends SequencedHashMap implements Serializable

serialVersionUID: 2197433140769957051L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Deprecated.
  Throws:
    `java.io.IOException` - if the stream raises it
    `java.lang.ClassNotFoundException` - if the stream raises it

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException` - if the stream raises it

Class org.apache.commons.collections.MultiHashMap extends java.util.HashMap implements Serializable

serialVersionUID: 1943563828307035349L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream s)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Deprecated.
  Read the object during deserialization.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Class org.apache.commons.collections.SequencedHashMap extends java.lang.Object implements Serializable

serialVersionUID: 3380552487888102930L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Deprecated.
  Deserializes this map from the given stream.

  Throws:
    `java.io.IOException` - if the stream raises it
    `java.lang.ClassNotFoundException` - if the stream raises it

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Deprecated.
  Serializes this map to the given stream.

  Throws:
    `java.io.IOException` - if the stream raises it

Package org.apache.commons.collections.bag

Class org.apache.commons.collections.bag.HashBag extends AbstractMapBag implements Serializable

serialVersionUID: -6561115435802554013L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the bag in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the bag out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.bag.PredicatedBag extends PredicatedCollection implements Serializable

serialVersionUID: -2575833140344736876L

Class org.apache.commons.collections.bag.PredicatedSortedBag extends PredicatedBag implements Serializable

serialVersionUID: 3448581314086406616L

Class org.apache.commons.collections.bag.SynchronizedBag extends SynchronizedCollection implements Serializable

serialVersionUID: 8084674570753837109L

Class org.apache.commons.collections.bag.SynchronizedSortedBag extends SynchronizedBag implements Serializable

serialVersionUID: 722374056718497858L

Class org.apache.commons.collections.bag.TransformedBag extends TransformedCollection implements Serializable

serialVersionUID: 5421170911299074185L

Class org.apache.commons.collections.bag.TransformedSortedBag extends TransformedBag implements Serializable

serialVersionUID: -251737742649401930L

Class org.apache.commons.collections.bag.TreeBag extends AbstractMapBag implements Serializable

serialVersionUID: -7740146511091606676L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the bag in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the bag out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.bag.UnmodifiableBag extends AbstractBagDecorator implements Serializable

serialVersionUID: -1873799975157099624L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the collection in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the collection out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.bag.UnmodifiableSortedBag extends AbstractSortedBagDecorator implements Serializable

serialVersionUID: -3190437252665717841L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the collection in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the collection out using a custom routine.

  Throws:
    `java.io.IOException`

Package org.apache.commons.collections.bidimap

Class org.apache.commons.collections.bidimap.DualHashBidiMap extends AbstractDualBidiMap implements Serializable

serialVersionUID: 721969328361808L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.bidimap.DualTreeBidiMap extends AbstractDualBidiMap implements Serializable

serialVersionUID: 721969328361809L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### comparator

    java.util.Comparator comparator

  The comparator to use

Package org.apache.commons.collections.buffer

Class org.apache.commons.collections.buffer.BlockingBuffer extends SynchronizedBuffer implements Serializable

serialVersionUID: 1719328905017860541L

Serialized Fields

### timeout

    long timeout

  The timeout value in milliseconds.

Class org.apache.commons.collections.buffer.BoundedBuffer extends SynchronizedBuffer implements Serializable

serialVersionUID: 1536432911093974264L

Serialized Fields

### maximumSize

    int maximumSize

  The maximum size.

### timeout

    long timeout

  The timeout milliseconds.

Class org.apache.commons.collections.buffer.BoundedFifoBuffer extends java.util.AbstractCollection implements Serializable

serialVersionUID: 5603722811189451017L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the buffer in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the buffer out using a custom routine.

  Throws:
    `java.io.IOException`

Serialized Fields

### maxElements

    int maxElements

  Capacity of the buffer

Class org.apache.commons.collections.buffer.CircularFifoBuffer extends BoundedFifoBuffer implements Serializable

serialVersionUID: -8423413834657610406L

Class org.apache.commons.collections.buffer.PredicatedBuffer extends PredicatedCollection implements Serializable

serialVersionUID: 2307609000539943581L

Class org.apache.commons.collections.buffer.PriorityBuffer extends java.util.AbstractCollection implements Serializable

serialVersionUID: 6891186490470027896L

Serialized Fields

### elements

    java.lang.Object[] elements

  The elements in this buffer.

### size

    int size

  The number of elements currently in this buffer.

### ascendingOrder

    boolean ascendingOrder

  If true, the first element as determined by the sort order will be returned. If false, the last element as determined by the sort order will be returned.

### comparator

    java.util.Comparator comparator

  The comparator used to order the elements

Class org.apache.commons.collections.buffer.SynchronizedBuffer extends SynchronizedCollection implements Serializable

serialVersionUID: -6859936183953626253L

Class org.apache.commons.collections.buffer.TransformedBuffer extends TransformedCollection implements Serializable

serialVersionUID: -7901091318986132033L

Class org.apache.commons.collections.buffer.UnboundedFifoBuffer extends java.util.AbstractCollection implements Serializable

serialVersionUID: -3482960336579541419L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the buffer in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the buffer out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.buffer.UnmodifiableBuffer extends AbstractBufferDecorator implements Serializable

serialVersionUID: 1832948656215393357L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the collection in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the collection out using a custom routine.

  Throws:
    `java.io.IOException`

Package org.apache.commons.collections.collection

Class org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator extends AbstractCollectionDecorator implements Serializable

serialVersionUID: 6249888059822088500L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the collection in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the collection out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.collection.PredicatedCollection extends AbstractSerializableCollectionDecorator implements Serializable

serialVersionUID: -5259182142076705162L

Serialized Fields

### predicate

    Predicate predicate

  The predicate to use

Class org.apache.commons.collections.collection.SynchronizedCollection extends java.lang.Object implements Serializable

serialVersionUID: 2412805092710877986L

Serialized Fields

### collection

    java.util.Collection collection

  The collection to decorate

### lock

    java.lang.Object lock

  The object to lock on, needed for List/SortedSet views

Class org.apache.commons.collections.collection.TransformedCollection extends AbstractSerializableCollectionDecorator implements Serializable

serialVersionUID: 8692300188161871514L

Serialized Fields

### transformer

    Transformer transformer

  The transformer to use

Class org.apache.commons.collections.collection.UnmodifiableBoundedCollection extends AbstractSerializableCollectionDecorator implements Serializable

serialVersionUID: -7112672385450340330L

Class org.apache.commons.collections.collection.UnmodifiableCollection extends AbstractSerializableCollectionDecorator implements Serializable

serialVersionUID: -239892006883819945L

Package org.apache.commons.collections.comparators

Class org.apache.commons.collections.comparators.BooleanComparator extends java.lang.Object implements Serializable

serialVersionUID: 1830042991606340609L

Serialized Fields

### trueFirst

    boolean trueFirst

  `true` iff `true` values sort before `false` values.

Class org.apache.commons.collections.comparators.ComparableComparator extends java.lang.Object implements Serializable

serialVersionUID: -291439688585137865L

Class org.apache.commons.collections.comparators.ComparatorChain extends java.lang.Object implements Serializable

serialVersionUID: -721644942746081630L

Serialized Fields

### comparatorChain

    java.util.List comparatorChain

  The list of comparators in the chain.

### orderingBits

    java.util.BitSet orderingBits

  Order - false (clear) = ascend; true (set) = descend.

### isLocked

    boolean isLocked

  Whether the chain has been "locked".

Class org.apache.commons.collections.comparators.NullComparator extends java.lang.Object implements Serializable

serialVersionUID: -5820772575483504339L

Serialized Fields

### nonNullComparator

    java.util.Comparator nonNullComparator

  The comparator to use when comparing two non-`null` objects.

### nullsAreHigh

    boolean nullsAreHigh

  Specifies whether a `null` are compared as higher than non-`null` objects.

Class org.apache.commons.collections.comparators.ReverseComparator extends java.lang.Object implements Serializable

serialVersionUID: 2858887242028539265L

Serialized Fields

### comparator

    java.util.Comparator comparator

  The comparator being decorated.

Package org.apache.commons.collections.functors

Class org.apache.commons.collections.functors.AllPredicate extends java.lang.Object implements Serializable

serialVersionUID: -3094696765038308799L

Serialized Fields

### iPredicates

    Predicate[] iPredicates

  The array of predicates to call

Class org.apache.commons.collections.functors.AndPredicate extends java.lang.Object implements Serializable

serialVersionUID: 4189014213763186912L

Serialized Fields

### iPredicate1

    Predicate iPredicate1

  The array of predicates to call

### iPredicate2

    Predicate iPredicate2

  The array of predicates to call

Class org.apache.commons.collections.functors.AnyPredicate extends java.lang.Object implements Serializable

serialVersionUID: 7429999530934647542L

Serialized Fields

### iPredicates

    Predicate[] iPredicates

  The array of predicates to call

Class org.apache.commons.collections.functors.ChainedClosure extends java.lang.Object implements Serializable

serialVersionUID: -3520677225766901240L

Serialized Fields

### iClosures

    Closure[] iClosures

  The closures to call in turn

Class org.apache.commons.collections.functors.ChainedTransformer extends java.lang.Object implements Serializable

serialVersionUID: 3514945074733160196L

Serialized Fields

### iTransformers

    Transformer[] iTransformers

  The transformers to call in turn

Class org.apache.commons.collections.functors.CloneTransformer extends java.lang.Object implements Serializable

serialVersionUID: -8188742709499652567L

Class org.apache.commons.collections.functors.ClosureTransformer extends java.lang.Object implements Serializable

serialVersionUID: 478466901448617286L

Serialized Fields

### iClosure

    Closure iClosure

  The closure to wrap

Class org.apache.commons.collections.functors.ConstantFactory extends java.lang.Object implements Serializable

serialVersionUID: -3520677225766901240L

Serialized Fields

### iConstant

    java.lang.Object iConstant

  The closures to call in turn

Class org.apache.commons.collections.functors.ConstantTransformer extends java.lang.Object implements Serializable

serialVersionUID: 6374440726369055124L

Serialized Fields

### iConstant

    java.lang.Object iConstant

  The closures to call in turn

Class org.apache.commons.collections.functors.EqualPredicate extends java.lang.Object implements Serializable

serialVersionUID: 5633766978029907089L

Serialized Fields

### iValue

    java.lang.Object iValue

  The value to compare to

Class org.apache.commons.collections.functors.ExceptionClosure extends java.lang.Object implements Serializable

serialVersionUID: 7179106032121985545L

Class org.apache.commons.collections.functors.ExceptionFactory extends java.lang.Object implements Serializable

serialVersionUID: 7179106032121985545L

Class org.apache.commons.collections.functors.ExceptionPredicate extends java.lang.Object implements Serializable

serialVersionUID: 7179106032121985545L

Class org.apache.commons.collections.functors.ExceptionTransformer extends java.lang.Object implements Serializable

serialVersionUID: 7179106032121985545L

Class org.apache.commons.collections.functors.FactoryTransformer extends java.lang.Object implements Serializable

serialVersionUID: -6817674502475353160L

Serialized Fields

### iFactory

    Factory iFactory

  The factory to wrap

Class org.apache.commons.collections.functors.FalsePredicate extends java.lang.Object implements Serializable

serialVersionUID: 7533784454832764388L

Class org.apache.commons.collections.functors.ForClosure extends java.lang.Object implements Serializable

serialVersionUID: -1190120533393621674L

Serialized Fields

### iCount

    int iCount

  The number of times to loop

### iClosure

    Closure iClosure

  The closure to call

Class org.apache.commons.collections.functors.IdentityPredicate extends java.lang.Object implements Serializable

serialVersionUID: -89901658494523293L

Serialized Fields

### iValue

    java.lang.Object iValue

  The value to compare to

Class org.apache.commons.collections.functors.IfClosure extends java.lang.Object implements Serializable

serialVersionUID: 3518477308466486130L

Serialized Fields

### iPredicate

    Predicate iPredicate

  The test

### iTrueClosure

    Closure iTrueClosure

  The closure to use if true

### iFalseClosure

    Closure iFalseClosure

  The closure to use if false

Class org.apache.commons.collections.functors.InstanceofPredicate extends java.lang.Object implements Serializable

serialVersionUID: -6682656911025165584L

Serialized Fields

### iType

    java.lang.Class iType

  The type to compare to

Class org.apache.commons.collections.functors.InstantiateFactory extends java.lang.Object implements Serializable

serialVersionUID: -7732226881069447957L

Serialized Fields

### iClassToInstantiate

    java.lang.Class iClassToInstantiate

  The class to create

### iParamTypes

    java.lang.Class[] iParamTypes

  The constructor parameter types

### iArgs

    java.lang.Object[] iArgs

  The constructor arguments

Class org.apache.commons.collections.functors.InstantiateTransformer extends java.lang.Object implements Serializable

serialVersionUID: 3786388740793356347L

Serialized Fields

### iParamTypes

    java.lang.Class[] iParamTypes

  The constructor parameter types

### iArgs

    java.lang.Object[] iArgs

  The constructor arguments

Class org.apache.commons.collections.functors.InvokerTransformer extends java.lang.Object implements Serializable

serialVersionUID: -8653385846894047688L

Serialized Fields

### iMethodName

    java.lang.String iMethodName

  The method name to call

### iParamTypes

    java.lang.Class[] iParamTypes

  The array of reflection parameter types

### iArgs

    java.lang.Object[] iArgs

  The array of reflection arguments

Class org.apache.commons.collections.functors.MapTransformer extends java.lang.Object implements Serializable

serialVersionUID: 862391807045468939L

Serialized Fields

### iMap

    java.util.Map iMap

  The map of data to lookup in

Class org.apache.commons.collections.functors.NonePredicate extends java.lang.Object implements Serializable

serialVersionUID: 2007613066565892961L

Serialized Fields

### iPredicates

    Predicate[] iPredicates

  The array of predicates to call

Class org.apache.commons.collections.functors.NOPClosure extends java.lang.Object implements Serializable

serialVersionUID: 3518477308466486130L

Class org.apache.commons.collections.functors.NOPTransformer extends java.lang.Object implements Serializable

serialVersionUID: 2133891748318574490L

Class org.apache.commons.collections.functors.NotNullPredicate extends java.lang.Object implements Serializable

serialVersionUID: 7533784454832764388L

Class org.apache.commons.collections.functors.NotPredicate extends java.lang.Object implements Serializable

serialVersionUID: -2654603322338049674L

Serialized Fields

### iPredicate

    Predicate iPredicate

  The predicate to decorate

Class org.apache.commons.collections.functors.NullIsExceptionPredicate extends java.lang.Object implements Serializable

serialVersionUID: 3243449850504576071L

Serialized Fields

### iPredicate

    Predicate iPredicate

  The predicate to decorate

Class org.apache.commons.collections.functors.NullIsFalsePredicate extends java.lang.Object implements Serializable

serialVersionUID: -2997501534564735525L

Serialized Fields

### iPredicate

    Predicate iPredicate

  The predicate to decorate

Class org.apache.commons.collections.functors.NullIsTruePredicate extends java.lang.Object implements Serializable

serialVersionUID: -7625133768987126273L

Serialized Fields

### iPredicate

    Predicate iPredicate

  The predicate to decorate

Class org.apache.commons.collections.functors.NullPredicate extends java.lang.Object implements Serializable

serialVersionUID: 7533784454832764388L

Class org.apache.commons.collections.functors.OnePredicate extends java.lang.Object implements Serializable

serialVersionUID: -8125389089924745785L

Serialized Fields

### iPredicates

    Predicate[] iPredicates

  The array of predicates to call

Class org.apache.commons.collections.functors.OrPredicate extends java.lang.Object implements Serializable

serialVersionUID: -8791518325735182855L

Serialized Fields

### iPredicate1

    Predicate iPredicate1

  The array of predicates to call

### iPredicate2

    Predicate iPredicate2

  The array of predicates to call

Class org.apache.commons.collections.functors.PredicateTransformer extends java.lang.Object implements Serializable

serialVersionUID: 5278818408044349346L

Serialized Fields

### iPredicate

    Predicate iPredicate

  The closure to wrap

Class org.apache.commons.collections.functors.StringValueTransformer extends java.lang.Object implements Serializable

serialVersionUID: 7511110693171758606L

Class org.apache.commons.collections.functors.SwitchClosure extends java.lang.Object implements Serializable

serialVersionUID: 3518477308466486130L

Serialized Fields

### iPredicates

    Predicate[] iPredicates

  The tests to consider

### iClosures

    Closure[] iClosures

  The matching closures to call

### iDefault

    Closure iDefault

  The default closure to call if no tests match

Class org.apache.commons.collections.functors.SwitchTransformer extends java.lang.Object implements Serializable

serialVersionUID: -6404460890903469332L

Serialized Fields

### iPredicates

    Predicate[] iPredicates

  The tests to consider

### iTransformers

    Transformer[] iTransformers

  The matching transformers to call

### iDefault

    Transformer iDefault

  The default transformer to call if no tests match

Class org.apache.commons.collections.functors.TransformedPredicate extends java.lang.Object implements Serializable

serialVersionUID: -5596090919668315834L

Serialized Fields

### iTransformer

    Transformer iTransformer

  The transformer to call

### iPredicate

    Predicate iPredicate

  The predicate to call

Class org.apache.commons.collections.functors.TransformerClosure extends java.lang.Object implements Serializable

serialVersionUID: -5194992589193388969L

Serialized Fields

### iTransformer

    Transformer iTransformer

  The transformer to wrap

Class org.apache.commons.collections.functors.TransformerPredicate extends java.lang.Object implements Serializable

serialVersionUID: -2407966402920578741L

Serialized Fields

### iTransformer

    Transformer iTransformer

  The transformer to call

Class org.apache.commons.collections.functors.TruePredicate extends java.lang.Object implements Serializable

serialVersionUID: 3374767158756189740L

Class org.apache.commons.collections.functors.UniquePredicate extends java.lang.Object implements Serializable

serialVersionUID: -3319417438027438040L

Serialized Fields

### iSet

    java.util.Set iSet

  The set of previously seen objects

Class org.apache.commons.collections.functors.WhileClosure extends java.lang.Object implements Serializable

serialVersionUID: -3110538116913760108L

Serialized Fields

### iPredicate

    Predicate iPredicate

  The test condition

### iClosure

    Closure iClosure

  The closure to call

### iDoLoop

    boolean iDoLoop

  The flag, true is a do loop, false is a while

Package org.apache.commons.collections.keyvalue

Class org.apache.commons.collections.keyvalue.MultiKey extends java.lang.Object implements Serializable

serialVersionUID: 4465448607415788805L

Serialized Fields

### keys

    java.lang.Object[] keys

  The individual keys

### hashCode

    int hashCode

  The cached hashCode

Class org.apache.commons.collections.keyvalue.TiedMapEntry extends java.lang.Object implements Serializable

serialVersionUID: -8453869361373831205L

Serialized Fields

### map

    java.util.Map map

  The map underlying the entry/iterator

### key

    java.lang.Object key

  The key

Package org.apache.commons.collections.list

Class org.apache.commons.collections.list.AbstractSerializableListDecorator extends AbstractListDecorator implements Serializable

serialVersionUID: 2684959196747496299L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the list in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the list out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.list.CursorableLinkedList extends AbstractLinkedList implements Serializable

serialVersionUID: 8836393098519411393L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Deserializes the data held in this object to the stream specified.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Serializes the data held in this object to the stream specified.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.list.FixedSizeList extends AbstractSerializableListDecorator implements Serializable

serialVersionUID: -2218010673611160319L

Class org.apache.commons.collections.list.GrowthList extends AbstractSerializableListDecorator implements Serializable

serialVersionUID: -3620001881672L

Class org.apache.commons.collections.list.LazyList extends AbstractSerializableListDecorator implements Serializable

serialVersionUID: -1708388017160694542L

Serialized Fields

### factory

    Factory factory

  The factory to use to lazily instantiate the objects

Class org.apache.commons.collections.list.NodeCachingLinkedList extends AbstractLinkedList implements Serializable

serialVersionUID: 6897789178562232073L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Deserializes the data held in this object to the stream specified.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Serializes the data held in this object to the stream specified.

  Throws:
    `java.io.IOException`

Serialized Fields

### maximumCacheSize

    int maximumCacheSize

  The maximum size of the cache.

Class org.apache.commons.collections.list.PredicatedList extends PredicatedCollection implements Serializable

serialVersionUID: -5722039223898659102L

Class org.apache.commons.collections.list.SetUniqueList extends AbstractSerializableListDecorator implements Serializable

serialVersionUID: 7196982186153478694L

Serialized Fields

### set

    java.util.Set set

  Internal Set to maintain uniqueness.

Class org.apache.commons.collections.list.SynchronizedList extends SynchronizedCollection implements Serializable

serialVersionUID: -1403835447328619437L

Class org.apache.commons.collections.list.TransformedList extends TransformedCollection implements Serializable

serialVersionUID: 1077193035000013141L

Class org.apache.commons.collections.list.UnmodifiableList extends AbstractSerializableListDecorator implements Serializable

serialVersionUID: 6595182819922443652L

Package org.apache.commons.collections.map

Class org.apache.commons.collections.map.CaseInsensitiveMap extends AbstractHashedMap implements Serializable

serialVersionUID: -7074655917369299456L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.map.DefaultedMap extends AbstractMapDecorator implements Serializable

serialVersionUID: 19698628745827L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Serialized Fields

### value

    java.lang.Object value

  The transformer to use if the map does not contain a key

Class org.apache.commons.collections.map.FixedSizeMap extends AbstractMapDecorator implements Serializable

serialVersionUID: 7450927208116179316L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
  Since:
    Commons Collections 3.1

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`
  Since:
    Commons Collections 3.1

Class org.apache.commons.collections.map.FixedSizeSortedMap extends AbstractSortedMapDecorator implements Serializable

serialVersionUID: 3126019624511683653L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.map.Flat3Map extends java.lang.Object implements Serializable

serialVersionUID: -6701087419741928296L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.map.HashedMap extends AbstractHashedMap implements Serializable

serialVersionUID: -1788199231038721040L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.map.IdentityMap extends AbstractHashedMap implements Serializable

serialVersionUID: 2028493495224302329L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.map.LazyMap extends AbstractMapDecorator implements Serializable

serialVersionUID: 7990956402564206740L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
  Since:
    Commons Collections 3.1

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`
  Since:
    Commons Collections 3.1

Serialized Fields

### factory

    Transformer factory

  The factory to use to construct elements

Class org.apache.commons.collections.map.LazySortedMap extends LazyMap implements Serializable

serialVersionUID: 2715322183617658933L

Class org.apache.commons.collections.map.LinkedMap extends AbstractLinkedMap implements Serializable

serialVersionUID: 9077234323521161066L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.map.ListOrderedMap extends AbstractMapDecorator implements Serializable

serialVersionUID: 2728177751851003750L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
  Since:
    Commons Collections 3.1

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`
  Since:
    Commons Collections 3.1

Serialized Fields

### insertOrder

    java.util.List insertOrder

  Internal list to hold the sequence of objects

Class org.apache.commons.collections.map.LRUMap extends AbstractLinkedMap implements Serializable

serialVersionUID: -612114643488955218L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Serialized Fields

### scanUntilRemovable

    boolean scanUntilRemovable

  Scan behaviour

Class org.apache.commons.collections.map.MultiKeyMap extends java.lang.Object implements Serializable

serialVersionUID: -1788199231038721040L

Serialized Fields

### map

    AbstractHashedMap map

  The decorated map

Class org.apache.commons.collections.map.PredicatedMap extends org.apache.commons.collections.map.AbstractInputCheckedMapDecorator implements Serializable

serialVersionUID: 7412622456128415156L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
  Since:
    Commons Collections 3.1

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`
  Since:
    Commons Collections 3.1

Serialized Fields

### keyPredicate

    Predicate keyPredicate

  The key predicate to use

### valuePredicate

    Predicate valuePredicate

  The value predicate to use

Class org.apache.commons.collections.map.PredicatedSortedMap extends PredicatedMap implements Serializable

serialVersionUID: 3359846175935304332L

Class org.apache.commons.collections.map.ReferenceIdentityMap extends AbstractReferenceMap implements Serializable

serialVersionUID: -1266190134568365852L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.map.ReferenceMap extends AbstractReferenceMap implements Serializable

serialVersionUID: 1555089888138299607L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.map.SingletonMap extends java.lang.Object implements Serializable

serialVersionUID: -8931271118676803261L

Serialized Fields

### key

    java.lang.Object key

  Singleton key

### value

    java.lang.Object value

  Singleton value

Class org.apache.commons.collections.map.TransformedMap extends org.apache.commons.collections.map.AbstractInputCheckedMapDecorator implements Serializable

serialVersionUID: 7023152376788900464L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
  Since:
    Commons Collections 3.1

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`
  Since:
    Commons Collections 3.1

Serialized Fields

### keyTransformer

    Transformer keyTransformer

  The transformer to use for the key

### valueTransformer

    Transformer valueTransformer

  The transformer to use for the value

Class org.apache.commons.collections.map.TransformedSortedMap extends TransformedMap implements Serializable

serialVersionUID: -8751771676410385778L

Class org.apache.commons.collections.map.UnmodifiableMap extends AbstractMapDecorator implements Serializable

serialVersionUID: 2737023427269031941L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
  Since:
    Commons Collections 3.1

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`
  Since:
    Commons Collections 3.1

Class org.apache.commons.collections.map.UnmodifiableOrderedMap extends AbstractOrderedMapDecorator implements Serializable

serialVersionUID: 8136428161720526266L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
  Since:
    Commons Collections 3.1

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`
  Since:
    Commons Collections 3.1

Class org.apache.commons.collections.map.UnmodifiableSortedMap extends AbstractSortedMapDecorator implements Serializable

serialVersionUID: 5805344239827376360L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the map in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
  Since:
    Commons Collections 3.1

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the map out using a custom routine.

  Throws:
    `java.io.IOException`
  Since:
    Commons Collections 3.1

Package org.apache.commons.collections.set

Class org.apache.commons.collections.set.AbstractSerializableSetDecorator extends AbstractSetDecorator implements Serializable

serialVersionUID: 1229469966212206107L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the set in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the set out using a custom routine.

  Throws:
    `java.io.IOException`

Class org.apache.commons.collections.set.ListOrderedSet extends AbstractSerializableSetDecorator implements Serializable

serialVersionUID: -228664372470420141L

Serialized Fields

### setOrder

    java.util.List setOrder

  Internal list to hold the sequence of objects

Class org.apache.commons.collections.set.MapBackedSet extends java.lang.Object implements Serializable

serialVersionUID: 6723912213766056587L

Serialized Fields

### map

    java.util.Map map

  The map being used as the backing store

### dummyValue

    java.lang.Object dummyValue

  The dummyValue to use

Class org.apache.commons.collections.set.PredicatedSet extends PredicatedCollection implements Serializable

serialVersionUID: -684521469108685117L

Class org.apache.commons.collections.set.PredicatedSortedSet extends PredicatedSet implements Serializable

serialVersionUID: -9110948148132275052L

Class org.apache.commons.collections.set.SynchronizedSet extends SynchronizedCollection implements Serializable

serialVersionUID: -8304417378626543635L

Class org.apache.commons.collections.set.SynchronizedSortedSet extends SynchronizedCollection implements Serializable

serialVersionUID: 2775582861954500111L

Class org.apache.commons.collections.set.TransformedSet extends TransformedCollection implements Serializable

serialVersionUID: 306127383500410386L

Class org.apache.commons.collections.set.TransformedSortedSet extends TransformedSet implements Serializable

serialVersionUID: -1675486811351124386L

Class org.apache.commons.collections.set.UnmodifiableSet extends AbstractSerializableSetDecorator implements Serializable

serialVersionUID: 6499119872185240161L

Class org.apache.commons.collections.set.UnmodifiableSortedSet extends AbstractSortedSetDecorator implements Serializable

serialVersionUID: -725356885467962424L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Read the collection in using a custom routine.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Write the collection out using a custom routine.

  Throws:
    `java.io.IOException`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.